update for sun-java package

Willian Braga neverping at gmail.com
Wed Mar 14 02:43:12 UTC 2012

Hello Maintainers:

My name's Willian and I'm a Linux Mint 12 user (wheezy/sid in

I was checking the plugins I'm using in Firefox with Plugin Check page (
http://www.mozilla.org/en-US/plugincheck/) and it reported me that my Java
plugin is outdated. Also, they told me there are some security risk running
this outdated version. The version it reported me was 1.6.0_26, which is
the same I'm using over here. I was reading the changelog from version from
1.6.0_27 to 1.6.0_31 and there are some security vulnerabilities which were
fixed, but we are missing them because the official debian package is not
updated. Those security are below:

$ dpkg --list | grep sun-java6
ii  sun-java6-bin
6.26-1linuxmint1                        Sun Java(TM) Runtime Environment
(JRE) 6 (architecture dependent files)
ii  sun-java6-jre
6.26-1linuxmint1                        Sun Java(TM) Runtime Environment
(JRE) 6 (architecture independent files)
ii  sun-java6-plugin
6.26-1linuxmint1                        Java(TM) Plug-in, Java SE 6

The java lib for firefox is libnpjp2.so, which comes with "sun-java6-bin"
package, which the most recent Debian package is 1.6.0_26. The most updated
Sun Java 6 is 1.6.0_31.

So I would like to know if you guys could update it. I know how to manually
update it, but i think it's important to update the debian package as well
because it would update all Debian users and alike.

I have some knowledge about building RPM packages, never did a Debian
package. But I can learn it and generate an updated version of all
sun-java6 packages if you guys prefer this way.

About latest Sun Java release

Link for security notes from Oracle:


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.alioth.debian.org/pipermail/pkg-java-maintainers/attachments/20120313/592ab5db/attachment.html>

More information about the pkg-java-maintainers mailing list